package com.qiaoba.common.base.code;

import lombok.Getter;

/**
 * 数据源错误信息
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/6/27 9:22
 */
@Getter
public enum DatasourceErrorCode {

    /**
     * 未找到
     */
    NOT_FIND(50401, "未找到数据源信息 (可能未设置使用)"),

    /**
     * 连接错误
     */
    CONNECT_ERROR(50402, "数据源无法连接"),

    /**
     * 切换模式错误
     */
    SWITCH_SCHEMA_ERROR(50403, "切换模式错误"),

    /**
     * 创建表错误
     */
    CREATE_TABLE_ERROR(50404, "创建表错误"),

    /**
     * 创建模式/库错误
     */
    CREATE_SCHEMA_ERROR(50405, "创建模式/库错误"),

    /**
     * 初始化数据错误
     */
    INIT_DATA_ERROR(50406, "初始化数据错误"),

    /**
     * schema 不存在
     */
    SCHEMA_NOT_EXIST_ERROR(50407, "SCHEMA: {} 不存在");

    private final Integer code;
    private final String msg;

    DatasourceErrorCode(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

}
